<?
class navigator{   

	function navigator($offset, $limit, $total, $idCat=""){
		
		//echo "entrou";
		
		global $arg1, $arg2;
		
		$link = "";
		
		if ($arg1=="parcerias")
			$link = $arg1 ."/". $arg2 . "/";
		else
			$link = $arg1 . "/";
			
    	$fimPagina=$offset + $limit;

		$temp=0;
		if ($offset>$temp)
        	$this->botaoNavImg( $link. $temp,"imagens/primeira_noticia.png","primeira pagina"); 

      	if ($offset >= $limit)
        	$this->botaoNavImg( $link. ($offset - $limit), "imagens/anterior_noticia.png", "pagina anterior");

   		$temp=$offset-(2*$limit);
		if ( $temp>=0)
			$this->botaoNav( $link. $temp, intval($temp/$limit)+1); 	
		
		$temp=$offset-$limit;
		if ( $temp>=0)
			$this->botaoNav( $link. $temp, intval($temp/$limit)+1);
		
		if ($total>$limit)
			echo $this->display(intval(($offset/$limit)+1));
		
		$temp=$offset+$limit;
		if ( $temp<$total)
			$this->botaoNav( $link. $temp, intval($temp/$limit)+1);
		
		$temp=$offset+2*$limit;
		if ( $temp<$total)
			$this->botaoNav( $link. $temp, intval($temp/$limit)+1);
		

		if ($fimPagina<$total)
        	$this->botaoNavImg( $link. $fimPagina, "imagens/proxima_noticia.png", "proxima pagina");
			
		if ($fimPagina<$total)
        	$this->botaoNavImg( $link .intval(($total/$limit))*$limit,"imagens/ultima_noticia.png","ultima pagina");

	}

	function botaoNavImg($link, $imagem, $alt="seta"){
        ?><a href="<?=$link?>/#meio"><img style="margin-left: 4px; margin-left: 4px" src="<?=$imagem?>" alt="<?=$alt?>" border="0" align="absmiddle" /></a><?
	}
	
	function botaoNav($link, $char){
        ?> <a href="<?=$link?>/#meio" class="link" style="margin-left: 4px; margin-left: 4px"><?=$char?></a> <?
	}
	
	function display($char){
        ?> <span style="margin-left: 4px; margin-left: 4px"><?=$char?></span> <?
	}
	
}
?>